import request from '../../utils/request'

/**
 * 获取学员出勤情况
 */
export function getStudentAttendanceDayStatistics(data) {
  return request({
    url: '/stu/GetStudentAttendanceDayStatistics',
    method: 'post',
    data
  });
}

export function getTodayVisitList(data){
  return request({
    url: '/DutyPlan/GetDutyTodayVisit',
    method: 'post',
    data
  });
}

//学管 获取访客列表
export function getVisitorAllPageList(data) {
  return request({
    url: '/DutyPlan/GetVisitorAllPageList',
    method: 'post',
    data
  })
}

//学管 获取学员名单分页
export function getStuList(data) {
  return request({
    url: '/Stu/GetAllStudentPage',
    method: 'post',
    data
  })
}

//学管 获取预警枚举
export function getEarlyWarningEnum(data) {
  return request({
    url: '/Stu/GetGuestClassHoursEarlyWarningEnumList',
    method: 'post',
    data
  })
}

//学管 获取类型枚举
export function getTypeEnum(data) {
  return request({
    url: '/Stu/GetOrderJoinTypeEnumEnumList',
    method: 'post',
    data
  })
}

//学管 添加事件
export function addEvent(data) {
  return request({
    url: '/Stu/GetSetStudentEventLog',
    method: 'post',
    data
  })
}

//学管 获取可补课课时，缺勤次数，请假次数分页信息
export function getClassCheckPageList(data) {
  return request({
    url: '/Stu/GetClassCheckPageList',
    method: 'post',
    data
  })
}
//学管 获取事件记录分页信息
export function getEventLogPageList(data) {
  return request({
    url: '/Stu/GetStudentEventLogPageList',
    method: 'post',
    data
  })
}
// 设置学生跳课
export function setGuestStartChapter(data) {
  return request({
    url: '/Scroll/SetGuestStartChapter',
    method: 'post',
    data
  })
}

// 获取咖啡劵订单分页列表
export function getCoffeeOrderList(data) {
  return request({
    url: '/EudGoods/GetGoodsOrderPageList',
    method: 'post',
    data
  })
}